CamelMsgPort
3
CAMEL Library

# CamelMsgPort

## Synopsis

                        CamelMsg;
                        CamelMsgPort;
    CamelMsgPort*       camel_msgport_new                   (void);
    void                camel_msgport_destroy               (CamelMsgPort *msgport);
    gint                camel_msgport_fd                    (CamelMsgPort *msgport);
    void                camel_msgport_push                  (CamelMsgPort *msgport,
                                                             CamelMsg *msg);
    CamelMsg*           camel_msgport_pop                   (CamelMsgPort *msgport);
    CamelMsg*           camel_msgport_try_pop               (CamelMsgPort *msgport);
    void                camel_msgport_reply                 (CamelMsg *msg);
    struct PRFileDesc*  camel_msgport_prfd                  (CamelMsgPort *msgport);

## Description

## Details

### CamelMsg

    typedef struct {
    	CamelMsgPort *reply_port;
    	gint flags;
    } CamelMsg;

### CamelMsgPort

    typedef struct _CamelMsgPort CamelMsgPort;

### camel_msgport_new ()

    CamelMsgPort*       camel_msgport_new                   (void);

Returns :

### camel_msgport_destroy ()

    void                camel_msgport_destroy               (CamelMsgPort *msgport);

`msgport` :

### camel_msgport_fd ()

    gint                camel_msgport_fd                    (CamelMsgPort *msgport);

`msgport` :

Returns :

### camel_msgport_push ()

    void                camel_msgport_push                  (CamelMsgPort *msgport,
                                                             CamelMsg *msg);

`msgport` :

`msg` :

### camel_msgport_pop ()

    CamelMsg*           camel_msgport_pop                   (CamelMsgPort *msgport);

`msgport` :

Returns :

### camel_msgport_try_pop ()

    CamelMsg*           camel_msgport_try_pop               (CamelMsgPort *msgport);

`msgport` :

Returns :

### camel_msgport_reply ()

    void                camel_msgport_reply                 (CamelMsg *msg);

`msg` :

### camel_msgport_prfd ()

    struct PRFileDesc*  camel_msgport_prfd                  (CamelMsgPort *msgport);

`msgport` :

Returns :